/*
 * Creates a helloworld hook, then spawns three helloworld children
 */

var Hook = require('../../lib/hookio').Hook;


var hook1 = new Hook({ 
  name: "a",
  debug: true
});

var hook2 = new Hook({ 
  name: "b",
  debug: true
});


hook1.on('*::hello', function(data, callback){

  //
  // callback is the callback for this event,
  // should it exist
  //
  var result = {
    "text": "Why hello there!"
  };
  
  callback(null, result);

})

hook1.on('hook::ready', function(){
  
  console.log(hook1.data);
  
  hook2.start();
  
  hook2.on('hook::ready', function(){

    hook1.data.foo = "bar";
    
    hook2.on('*::data', function(data){
      console.log(data);
    });
    
  });
  
});

hook1.start();