/*
 * Simple example for basic Hook.emit syntax using group feature
 */

var Hook = require('./lib/hookio').Hook;


var server = new Hook({ 
  name: "server-hook"
});

var client1 = new Hook({ 
  name: "client1-hook"
});

var client2 = new Hook({ 
  name: "client2-hook"
});

server.on('*::hello', function(data){
  console.log('server says hello'.green.bold, data.content.rainbow.bold, "but shouldn't :(".red.bold)
})

client1.on('*::*::hello', function(data){
  console.log('client1 says hello'.blue.bold, data.content.rainbow.bold, "and should ! :)".green.bold)
})

client2.on('*::hello', function(data){
  console.log('client2 says hello'.yellow.bold, data.content.rainbow.bold, "but shouldn't :(".red.bold)
})

server.on('hook::ready', function(){
  client1.start();
  //TODO: use async
  client1.on('hook::ready', function(){
    client2.start();
    client2.on('hook::ready', function(){
      client2.emit('client1-hook::hello', {content: 'world'});
    });
  });
});

server.start();